package com.cf.imes.module.executor.validation.plate;


import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * @author 板材纹路校验注解
 */


@Target({
        ElementType.FIELD,
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = {PlateTextureValidator.class}
)
public @interface PlateTextureValid {

    String message() default "板材纹路不合法";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};



}
